// webpack-dev-server 有三种启动方式：
// 1、命令行输入 webpack serve
// 2、命令行输入 webpack-dev-server
// 3、使用 api 方法启动
// 前两种也算同一种，第三种使用 api 的方式，灵活度高一点

const { resolve } = require("path");
const Webpack = require("webpack");
const WebpackDevServer = require("webpack-dev-server");

const cwd = process.cwd();

const webpackConfig = require(resolve(cwd, "webpack.config.js"));

const compiler = Webpack(webpackConfig);
const devServerOptions = { ...webpackConfig.devServer };
const server = new WebpackDevServer(devServerOptions, compiler);

const runServer = async () => {
  console.info("Starting server...");

  server.startCallback(() => {
    console.info(
      `Successfully started server on http://localhost:${webpackConfig.devServer.port}`
    );
  });
  // 或者 await server.start();
};

runServer();
