import Vue from 'vue';
import { genRouter } from './router';
import { genStore } from './store';
import App from './App.vue';

Vue.config.productionTip = false;

export function init() {
  Promise.all([genRouter(), genStore()]).then(([router, store]) => {
    console.info(store);
    new Vue({
      router,
      store,
      render: (h) => h(App),
    }).$mount('#app');
  });
}

init();
